Subject: bug#25177: Test failures don't cause some Python packages to fail

From: Leo Famulari <[email-masked]>
Date: Sat, 17 Dec 2016 15:15:39 -0500

On Sat, Dec 17, 2016 at 12:56:21PM -0500, Leo Famulari wrote:
> On Sat, Dec 17, 2016 at 06:38:26PM +0100, Marius Bakke wrote:
> > Leo Famulari <[email-masked]> writes:
> > > https://hydra.gnu.org/eval/109396?full=1#tabs-unfinished
> > >
> > > I'd like to wait for it to be closer to done before merging.
> > 
> > I think that job can be cancelled and a new one started, since there
> > have been quite a few fixes since. I've now successfully built
> > `./pre-inst-env guix build $(guix package -A python | awk '{print $1}')`
> > locally, but there may still be some leaf packages that are failing.
> 
> I've canceled that evaluation and started another.

The evaluation failed:

https://hydra.gnu.org/jobset/gnu/python-tests#tabs-errors